Bug 496981 - Volume control: Need to bond "Master" and "Master Mono" channels together so they're one logical entity
Volume control: Need to bond "Master" and "Master Mono" channels together so ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 18:05 EDT by Stephen Warren
Modified: 2009-06-29 08:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-29 08:19:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
amixer -c0 output (5.18 KB, text/plain)
2009-04-21 18:06 EDT, Stephen Warren
no flags Details

  None (edit)
Description Stephen Warren 2009-04-21 18:05:35 EDT
On my laptop, Alsa Mixer and the Pulse Audio volume control applet show two channels which both control different subsets of the laptop's built-in speakers; Master and "Master Mono". I think Master controls the smaller speakers and "Master Mono" the larger/bass speakers.

By default, the Pulse volume control applet (and also the dedicated volume keys on my laptop) only control Master, and ignore "Master Mono". This leaves "Master Mono" set at a high volume all the time, which sounds crap.

To WAR this issue, in Gnome, I go to System -> Preferences -> Hardware -> Sound, and change the selection in the list box under "Default Mixer Tracks" to include both Master and "Master Mono". Now the volume applet and volume keys control both channels, which works great.

This should be automatic; I shouldn't have to configure this myself.

Attaching output from "amixer -c0".
Comment 1 Stephen Warren 2009-04-21 18:06:18 EDT
Created attachment 340645 [details]
amixer -c0 output
Comment 2 Lennart Poettering 2009-04-22 20:02:31 EDT
Hmm, your laptop has bass speakers? Uh, what kind of zombie laptop is that?

Sounds like a reasonable thing to do.
Comment 3 Lennart Poettering 2009-04-23 09:42:50 EDT
Hmm, I am not sure we really should bond this. We have no clue what might be connected to the Master/Master Mono outputs of norma HDA cards. In your case Master seems to have connected proper speakers, and master Mono bass speakers. But we cannot know that.
Comment 4 Lennart Poettering 2009-06-29 08:19:32 EDT
PA In rawhide should now handle this properly.

Note You need to log in before you can comment on or make changes to this bug.